{
    "name": "BlurtWallet",
    "version": "0.1.0",
    "description": "The Blurt Wallet allows you to send and recieve blurt, and set your profile picture, and vote for witnesses!",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/blurt/openblurt/wallet.git"
    },
    "license": "MIT",
    "author": "Blurt",
    "main": "index.js",
    "scripts": {
        "build": "NODE_ENV=production webpack --config ./webpack/prod.config.js && babel src --out-dir lib -Dq",
        "checktranslations": "node scripts/check_translations.js",
        "ci:eslint": "eslint src/",
        "ci:test": "jest --coverage",
        "debug": "NODE_ENV=development webpack --config ./webpack/debug.config.js && babel src --source-maps --out-dir lib -D && node --inspect-brk lib/server/index.js",
        "eslint": "LIST=`git diff-index --name-only HEAD | grep .*\\.js | grep -v json`; if [ \"$LIST\" ]; then eslint $LIST; fi",
        "fmt": "prettier --config .prettierrc --write 'src/**/*.js*'",
        "precommit": "lint-staged",
        "production": "NODE_ENV=production node lib/server/index.js",
        "start": "NODE_ENV=development babel-node ./webpack/dev-server.js",
        "storybook": "start-storybook -p 9001 -c .storybook",
        "storybook-build": "build-storybook -c .storybook -o docs",
        "test": "jest"
    },
    "lint-staged": {
        "src/**/*.js*": [
            "prettier --write",
            "git add"
        ]
    },
    "jest": {
        "moduleNameMapper": {
            "\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "<rootDir>/__mocks__/fileMock.js"
        },
        "modulePaths": [
            "<rootDir>/"
        ],
        "rootDir": "src",
        "testURL": "http://localhost/"
    },
    "dependencies": {
        "@blurtfoundation/blurtjs": "^0.1.1",
        "@steem/crypto-session": "git+https://github.com/steemit/crypto-session.git#83a90b319ce5bc6a70362d52a15a815de7e729bb",
        "assert": "1.4.1",
        "autoprefixer-loader": "3.2.0",
        "axios": "^0.19.2",
        "bigi": "1.4.2",
        "blocked": "1.2.1",
        "blueimp-file-upload": "9.22.1",
        "bs58": "3.1.0",
        "bytebuffer": "5.0.1",
        "bytes": "2.5.0",
        "classnames": "2.2.5",
        "cluster": "0.7.7",
        "co-body": "5.1.1",
        "config": "1.26.2",
        "counterpart": "0.17.9",
        "cpu-stat": "2.0.1",
        "css-loader": "2.1.1",
        "currency-symbol-map": "3.1.0",
        "diff-match-patch": "1.0.0",
        "disk-stat": "1.0.4",
        "dsteem": "0.11.3",
        "ecurve": "1.0.5",
        "estraverse-fb": "1.3.2",
        "file-loader": "0.11.2",
        "foundation-sites": "git+https://github.com/steemit/foundation-sites.git#e8e32c715bbc4c822b80b555345f61337269ca78",
        "git-rev-sync": "1.9.1",
        "highcharts": "6.1.0",
        "humanize-number": "0.0.2",
        "imports-loader": "0.7.1",
        "intl": "1.2.5",
        "iso": "5.2.0",
        "json-loader": "0.5.7",
        "koa": "1.4.1",
        "koa-body": "1.6.0",
        "koa-compressor": "1.0.3",
        "koa-conditional-get": "1.0.4",
        "koa-csrf": "2.5.0",
        "koa-etag": "2.1.2",
        "koa-favicon": "1.2.1",
        "koa-helmet": "1.2.0",
        "koa-isbot": "0.1.1",
        "koa-locale": "1.3.0",
        "koa-logger": "1.3.1",
        "koa-mount": "1.3.0",
        "koa-proxy": "0.5.0",
        "koa-route": "2.4.2",
        "koa-router": "5.4.2",
        "koa-session": "3.4.0",
        "koa-static-cache": "4.1.1",
        "lodash.debounce": "4.0.8",
        "mem-stat": "1.0.5",
        "minimist": "1.2.0",
        "mixpanel": "0.5.0",
        "moment": "2.24.0",
        "mysql2": "2.0.0",
        "net": "1.0.2",
        "node-sass": "4.14.0",
        "number-abbreviate": "2.0.0",
        "os": "0.1.1",
        "picturefill": "3.0.2",
        "raw-loader": "0.5.1",
        "react": "^15.6.2",
        "react-ab-test": "^1.7.0",
        "react-addons-pure-render-mixin": "^15.4.2",
        "react-autocomplete": "^1.7.2",
        "react-copy-to-clipboard": "^4.3.1",
        "react-dom": "^15.6.2",
        "react-dropzone": "^3.13.4",
        "react-highcharts": "^8.4.2",
        "react-intl": "^2.4.0",
        "react-medium-editor": "^1.8.1",
        "react-notification": "^5.0.7",
        "react-overlays": "^0.7.2",
        "react-portal": "^2.2.1",
        "react-prop-types": "^0.3.2",
        "react-qr": "^0.0.2",
        "react-rangeslider": "^2.2.0",
        "react-redux": "^5.0.6",
        "react-router": "^3.2.0",
        "react-router-redux": "^4.0.8",
        "react-router-scroll": "^0.4.4",
        "react-rte-image": "^0.3.1",
        "react-timeago": "^3.4.3",
        "redux": "^3.7.2",
        "redux-form": "5.3.4",
        "redux-saga": "0.16.0",
        "remarkable": "1.7.1",
        "sanitize-html": "1.14.1",
        "sass-loader": "6.0.6",
        "secure-random": "1.1.1",
        "sendgrid": "4.10.0",
        "sequelize": "^5.15.1",
        "sequelize-cli": "^3.2.0",
        "speakingurl": "9.0.0",
        "sqlite3": "^4.0.9",
        "statsd-client": "^0.4.2",
        "steemscript": "^1.1.0",
        "store": "1.3.20",
        "style-loader": "0.18.2",
        "svg-inline-loader": "0.8.0",
        "svg-inline-react": "1.0.3",
        "svgo-loader": "1.2.1",
        "twilio": "^3.17.0",
        "uncontrollable": "3.3.1",
        "underscore.string": "3.3.5",
        "url-loader": "0.6.2",
        "web-push": "3.2.3",
        "webpack-isomorphic-tools": "3.0.5",
        "websocket": "^1.0.24",
        "whatwg-fetch": "0.11.1",
        "xmldom": "0.1.27"
    },
    "devDependencies": {
        "babel-cli": "6.26.0",
        "babel-core": "6.26.0",
        "babel-eslint": "10.1.0",
        "babel-jest": "22.0.6",
        "babel-loader": "7.1.2",
        "babel-plugin-react-intl": "2.3.1",
        "babel-plugin-transform-decorators-legacy": "1.3.4",
        "babel-plugin-transform-inline-environment-variables": "0.2.0",
        "babel-plugin-transform-runtime": "6.23.0",
        "babel-preset-es2015": "6.24.1",
        "babel-preset-react": "6.24.1",
        "babel-preset-stage-0": "6.24.1",
        "co-supertest": "0.0.10",
        "dev-ip": "1.0.1",
        "enzyme": "3.3.0",
        "enzyme-adapter-react-15": "1.0.5",
        "escope": "3.6.0",
        "eslint": "6.8.0",
        "eslint-config-airbnb": "18.1.0",
        "eslint-plugin-babel": "5.3.0",
        "eslint-plugin-import": "2.20.2",
        "eslint-plugin-jsx-a11y": "6.2.3",
        "eslint-plugin-react": "7.19.0",
        "extract-text-webpack-plugin": "3.0.1",
        "husky": "0.14.3",
        "jest": "22.0.6",
        "jsdom": "9.12.0",
        "koa-webpack-dev-middleware": "1.4.6",
        "koa-webpack-hot-middleware": "1.0.3",
        "lint-staged": "6.0.0",
        "mock-local-storage": "1.0.5",
        "node-watch": "0.5.5",
        "prettier": "2.0.5",
        "react-addons-perf": "15.4.2",
        "react-addons-test-utils": "15.4.2",
        "react-test-renderer": "15.6.2",
        "react-transform-catch-errors": "1.0.2",
        "react-transform-hmr": "1.0.4",
        "redux-devtools-extension": "2.13.5",
        "redux-mock-store": "1.5.1",
        "regenerator-runtime": "0.11.1",
        "sinon": "1.17.7",
        "supertest": "1.2.0",
        "webpack": "3.7.1",
        "webpack-bundle-analyzer": "3.3.2",
        "webpack-dev-middleware": "1.12.0"
    },
    "engines": {
        "node": ">=8.7.0",
        "npm": ">=5.4.2"
    }
}
